<?php
 
 
 

namespace PhpWA\Protocol\Proto\ChatRowOpaqueData\DraftMessage;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class CtwaContextLinkData extends \Google\Protobuf\Internal\Message
{
    


    protected $context = null;
    


    protected $sourceUrl = null;
    


    protected $icebreaker = null;
    


    protected $phone = null;

    











    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getContext()
    {
        return isset($this->context) ? $this->context : '';
    }

    public function hasContext()
    {
        return isset($this->context);
    }

    public function clearContext()
    {
        unset($this->context);
    }

    




    public function setContext($var)
    {
        GPBUtil::checkString($var, True);
        $this->context = $var;

        return $this;
    }

    



    public function getSourceUrl()
    {
        return isset($this->sourceUrl) ? $this->sourceUrl : '';
    }

    public function hasSourceUrl()
    {
        return isset($this->sourceUrl);
    }

    public function clearSourceUrl()
    {
        unset($this->sourceUrl);
    }

    




    public function setSourceUrl($var)
    {
        GPBUtil::checkString($var, True);
        $this->sourceUrl = $var;

        return $this;
    }

    



    public function getIcebreaker()
    {
        return isset($this->icebreaker) ? $this->icebreaker : '';
    }

    public function hasIcebreaker()
    {
        return isset($this->icebreaker);
    }

    public function clearIcebreaker()
    {
        unset($this->icebreaker);
    }

    




    public function setIcebreaker($var)
    {
        GPBUtil::checkString($var, True);
        $this->icebreaker = $var;

        return $this;
    }

    



    public function getPhone()
    {
        return isset($this->phone) ? $this->phone : '';
    }

    public function hasPhone()
    {
        return isset($this->phone);
    }

    public function clearPhone()
    {
        unset($this->phone);
    }

    




    public function setPhone($var)
    {
        GPBUtil::checkString($var, True);
        $this->phone = $var;

        return $this;
    }

}

